org.apache.storm.utils

## Class WrappedKeyAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.storm.thrift.TException
      - - org.apache.storm.generated.KeyAlreadyExistsException
        - - org.apache.storm.utils.WrappedKeyAlreadyExistsException

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<KeyAlreadyExistsException>, org.apache.storm.thrift.TBase<KeyAlreadyExistsException,KeyAlreadyExistsException._Fields>, org.apache.storm.thrift.TSerializable

      public class WrappedKeyAlreadyExistsException
      extends KeyAlreadyExistsException

  Wraps the generated TException to allow getMessage() to return a valid string.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.generated.KeyAlreadyExistsException

      `KeyAlreadyExistsException._Fields`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.generated.KeyAlreadyExistsException

      `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedKeyAlreadyExistsException(String msg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`

    - ### Methods inherited from class org.apache.storm.generated.KeyAlreadyExistsException

      `clear, compareTo, deepCopy, equals, equals, fieldForId, get_msg, getFieldValue, hashCode, is_set_msg, isSet, read, set_msg_isSet, set_msg, setFieldValue, toString, unset_msg, validate, write`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedKeyAlreadyExistsException

          public WrappedKeyAlreadyExistsException(String msg)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 2021 The Apache Software Foundation. All rights reserved.